Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class AppendIteratorFilter

    java.lang.Object
      org.apache.struts2.util.IteratorFilterSupport
          org.apache.struts2.util.AppendIteratorFilter

All Implemented Interfaces:
  Action, Iterator

    public class AppendIteratorFilter

extends IteratorFilterSupport
implements Iterator, Action

A bean that takes several iterators and outputs them in sequence

See Also:
  `AppendIterator`, `AppendIteratorTag`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.struts2.util.IteratorFilterSupport
`IteratorFilterSupport.EnumerationIterator`

Field Summary
`(package private) List` | `iterators`
`(package private) List` | `sources`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`AppendIteratorFilter()`

Method Summary
`String` | `execute()` Where the logic of the action is executed.
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`
`void` | `setSource(Object anIterator)`

Methods inherited from class org.apache.struts2.util.IteratorFilterSupport
`getIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterators

    List iterators

### sources

    List sources

Constructor Detail

### AppendIteratorFilter

    public AppendIteratorFilter()

Method Detail

### setSource

    public void setSource(Object anIterator)

### execute

    public String execute()

  Description copied from interface: `Action`
  Where the logic of the action is executed.

  Specified by:
    `execute` in interface `Action`
  Returns:
    a string representing the logical result of the execution. See constants in this interface for a list of standard result values.

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.